Subject: Re: AF_PACKET how to get the original netdev from a packet received from a bonded master

From: "Chris Friesen" <[email-masked]>
Date: Thu, 19 Apr 2007 14:55:33 -0600

Chris Leech wrote:

> Just to give you an idea of our motivation around this, we're looking
> at layer 2 configuration protocols implemented from user space.

I'd like to second the intent of this patch.  We've been maintaining a 
patch against 2.6.10 for a while now that exports the original ingress 
device to userspace via ancilliary data.  We use it in combination with 
bonding.

Was never submitted to mainline because we're on an old kernel.

Chris